---------------------
PatchSet 10894 
Date: 2006/07/31 10:06:21
Author: hno
Branch: HEAD
Tag: (none) 
Log:
Bug #1705: Incorrect error message on invalid acl time weekday specifications

acl acl_name time Q
resulted in
2006/07/31 14:25:39| aclParseTimeSpec: Bad Day ''

where
2006/07/31 14:25:39| aclParseTimeSpec: Bad Day 'Q'
was expected.

now also aborts properly indicating the offending squid.conf line like
on most other configuration errors.

Members: 
	src/acl.c:1.307->1.308 

Index: squid/src/acl.c
===================================================================
RCS file: /cvsroot/squid/squid/src/acl.c,v
retrieving revision 1.307
retrieving revision 1.308
diff -u -r1.307 -r1.308
--- squid/src/acl.c	29 Jul 2006 13:44:44 -0000	1.307
+++ squid/src/acl.c	31 Jul 2006 10:06:21 -0000	1.308
@@ -1,6 +1,6 @@
 
 /*
- * $Id: acl.c,v 1.307 2006/07/29 13:44:44 hno Exp $
+ * $Id: acl.c,v 1.308 2006/07/31 10:06:21 hno Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -620,7 +620,8 @@
 		default:
 		    debug(28, 0) ("%s line %d: %s\n",
 			cfg_filename, config_lineno, config_input_line);
-		    debug(28, 0) ("aclParseTimeSpec: Bad Day '%c'\n", *t);
+		    debug(28, 0) ("aclParseTimeSpec: Bad Day '%c'\n", t[-1]);
+		    self_destruct();
 		    break;
 		}
 	    }
